# ifndef HashedAlphaBetaTestCase_h
# define HashedAlphaBetaTestCase_h
#include "TestHeader.h"
# include "Algorithms/HashedAlphaBeta.h"
class HashedAlphaBetaTestCase:
  public TestCase
{
public:
  /*
  HashedAlphaBetaTestCase (std::string name="") : TestCase (name) {}
  static Test		*suite ();
  */
  CPPUNIT_TEST_SUITE( HashedAlphaBetaTestCase );
  CPPUNIT_TEST( simpleCapture );
  CPPUNIT_TEST( fork );
  CPPUNIT_TEST( fork2 );
  CPPUNIT_TEST( twoGames );
  CPPUNIT_TEST( testSecondBest );
  CPPUNIT_TEST( testGetSearchDepth );
  CPPUNIT_TEST_SUITE_END();
protected:
  void simpleCapture();
  void fork();
  void fork2();
  void twoGames();
  void testSecondBest();
  void testGetSearchDepth();
};
#endif
